Skip to main content
GET
/
api
/
sol
/
tokens
/
price-changes
/
{tokenMint}
Token price changes at standard intervals
curl --request GET \
  --url 'https://ca.raze.sh/api/sol/tokens/price-changes/{tokenMint}?apiKey='
{
  "success": true,
  "mint": "<string>",
  "currentPrice": 123,
  "currentPriceUSD": "<string>",
  "oldestPrice": 123,
  "oldestTime": "2023-11-07T05:31:56Z",
  "tokenAgeSeconds": 123,
  "changes": {
    "5m": {
      "change": 123,
      "price": 123,
      "volume": 123,
      "trades": 123
    },
    "1h": {
      "change": 123,
      "price": 123,
      "volume": 123,
      "trades": 123
    },
    "4h": {
      "change": 123,
      "price": 123,
      "volume": 123,
      "trades": 123
    },
    "12h": {
      "change": 123,
      "price": 123,
      "volume": 123,
      "trades": 123
    },
    "24h": {
      "change": 123,
      "price": 123,
      "volume": 123,
      "trades": 123
    }
  },
  "solPriceUSD": 123,
  "timestamp": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Path Parameters

tokenMint
string
required

Response

Success

success
boolean
mint
string
currentPrice
number
currentPriceUSD
string | null
oldestPrice
number

The oldest known price for this token

oldestTime
string<date-time>

Timestamp of the oldest known price data point

tokenAgeSeconds
integer

Age of the token in seconds (from oldest data point to now)

changes
object
solPriceUSD
number
timestamp
string<date-time>